t<ion-header>
  <ion-navbar color="danger">
    <ion-title>
      Cloud Sharing
    </ion-title>
  </ion-navbar>
</ion-header>
<ion-content padding id="page5">
  <ion-segment [(ngModel)]="cloud" ionChange="ubah($event)">
    <ion-segment-button color="danger" value="My Phone">
      My Phone
    </ion-segment-button>
    <ion-segment-button color="danger" value="My Cloud">
      My Cloud
    </ion-segment-button>
  </ion-segment>

  <ion-content>
    <div [ngSwitch]="cloud">
      <ion-list *ngSwitchCase="'My Phone'" >
        <form id="form" action="#" method="post" enctype="multipart/form-data">
          <ion-item color="none" id="My Files" (click)="gotoFiles()">
            <ion-avatar item-left>
              <img src="assets/img/outbox.png" />
            </ion-avatar>
            <h2>
              My Files
            </h2>
            <p>All bonita downloaded files</p>
          </ion-item>
          <!-- <ion-item color="none" id="My Files" (click)="getImage()" (change)="uploadFile($event)">
          <ion-avatar item-left>
            <img src="assets/img/upload.png" />
          </ion-avatar>
          <h2>
            Upload Photo
          </h2>
          <p>All bonita downloaded files</p>
        </ion-item> -->
          <ion-item color="none" id="Upload">
            <h2>
              Upload File
            </h2>
            <p>Click to upload Files to server</p>
            <input id="uploadImage" type="file" accept="*" name="image" (change)="uploadFile($event)" />
          </ion-item>
          <img *ngIf="imageURI" [src]="imageURI" />
          <div id="preview"></div>
          <br>
          <!-- <button ion-button color="blue" block (change)="uploadFile($event)">Upload</button> -->
        </form>
        <!-- <button id="upload-btn" ion-button color="danger" block (click)="upload()">
          Upload
        </button> -->
      </ion-list>
      
      <ion-list *ngSwitchCase="'My Cloud'">
        <ion-item id="My Files">
          <ion-item *ngFor="let i of data" (click)="show(i.file_name)">
            <ion-icon name='images' class="file-color" item-start></ion-icon>
            <p>{{i.file_name}}</p>
          </ion-item>
        </ion-item>
      </ion-list>
    </div>
  </ion-content>
</ion-content>